filter parameters by request path.
Status: Closed   

Priority: Normal   

Assignee: dustin tsang   

Category: Plugin integration   

Target version: 1.6.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

In katello, we need a mechanism to filter out certain parameters from logging because they are causing the log to fill up with

unreadable text:

Processing by Katello::Api::V2::ContentUploadsController#create as application/json;version=2

Parameters: {"api_version"=>"v2", "repository_id"=>"17", "content_upload"=>{}}

Expire fragment views/tabs_and_title_records-1 (0.3ms)

Authorized user admin(Admin User)

Completed 200 OK in 171ms (Views: 0.7ms | ActiveRecord: 26.0ms)

Processing by Apipie::ApipiesController#apipie_checksum as JSON

Parameters: {"apipy"=>{}}

Rendered /opt/rh/ruby193/root/usr/share/gems/gems/apipie-rails-0.1.2/app/views/apipie/apipies/apipie_checksum.json.erb (0.2ms)

Completed 200 OK in 4ms (Views: 3.5ms | ActiveRecord: 0.0ms)

Processing by Katello::Api::V2::ContentUploadsController#update as application/json;version=2

Parameters: {"offset"=>"0",

"content"=>"\u001F\x8B\b\u0000tdTR\u0000\u0003\xED=ks\xDB8\x92\xF3\x99\xBF\u0002\xE7\xA4J\xF6\x94-\xF3%R\xD2]\xA6Λ8\x8

9\xEB2v\xCANfkk*\xE5\u0005I\xD0\xE6\x86\"u$\u0015Ǘ\xF2\xFD\xF6\xEBƃ\")J\xB2c\x8D\x92Kػ\u0013K

\xD0\xDD\xE8\a\u001A@\x83\xD0t6\x9D\xB2\"\xA6^~\x90ͼ\xDB\u0003\xBDo\xF4\xF5\xC3_6\n\xBA\xAE\xBB\x83\u0001\xE1\u007F\u

001D\xF1W7m\xF1W\u00021L\xD3\u001C\xE8\x8Ei86э\x81=\xD0\u007F!\x83Ͳ\xD1\u000E\xB3\xBC\xA0\u0019\xB0B\xA7,I\xD8\xED

\xD2zP-\fW\xE0\x91\xFD(\xFF\xFE?\x81i\xAB\xFE\x9F\xBF>:}u\xFC\xE6\xEC\xD5Fh\x80<\u001C\xDB^\xAE\xFF\x81\xD3Կ\xE38\xD6

/D\xDF\b\xF55\xF0\x93\xEB\xDF\xD4\r\xEB\xC0\xD0\u000F\xF4!9

\u007F\xB0,\x8F҄p#д\x8B\xD9dB\xB3۱\xA6\x9D\xB3\x98ќ\u0011\x9A\x90\xD94\xA0\u0005\v\xC8'Y7\rIq\u001D\xE5}\xF2:\xBA\xBA\x

8E\xE1\xBF\"'Q\xE2ǳ\x80\x913\x90\xE9\xC5\xFB\x8Bch\u0017\x90+\x96\xB0\x8C\xC6Z>͢\xE4\x8A\xF8\x801\xC1\u000FA\x9A0\xE2ݒ

t\x96\x91\x9B4\tX\u0016\xCEb⧓\xC9,\x89\x8A[2a\u0013\u000Fh\xFD\x9B\xA6\xBDd\xB4\x98e,\u001Fk\as\xD49\u0018p\x9A\u0015

Pt\u0014\xC7\xE9\r\xF9'\x9A\xF1\u0015\x9B\xE4\x97S\xEA\u007F\xA4W\xEC\x9F$\u0005^\xB3(`}\xAC\u0014

'\x93\xEBt\xC2HH\xFDB\x95e\u0011\x91\xF5\xFB@(\xFA,\xA8\xBC\x89\x92\x

It would be nice to be able to filter by request url since we don't want to filter out the param from being logged across the entire

application.

Associated revisions

Revision cb49ec82 - 07/11/2014 02:36 AM - dustin tsang

fixes #6441 - allows filtering of parameters per controller

There is an issue where certain parameters for particular

controllers are causing the log to fill up. This allows the ability

to filter parameters by controller.

This allows each controller to add additional parameters to filter.

In a controller, to filter parameters name and description, you can add

the following:

include Foreman::Controller::FilterParameters

filter_parameters :name, :description

History
#1 - 06/30/2014 10:43 AM - Dominic Cleal

- Category set to Plugin integration

- Status changed from New to Ready For Testing

- Assignee set to dustin tsang

- Target version set to 1.8.1

https://github.com/theforeman/foreman/pull/1548 I presume.

#2 - 07/07/2014 07:25 AM - Anonymous

- Target version changed from 1.8.1 to 1.8.0

#3 - 07/11/2014 03:01 AM - dustin tsang

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset cb49ec827efed8197791b0c58c781d41a5e43f51.

#4 - 07/11/2014 03:41 AM - Dominic Cleal

- translation missing: en.field_release set to 10
